Bug 810885 - Groovy don't find classes from user jars
Groovy don't find classes from user jars
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: groovy (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matt Spaulding
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-09 10:30 EDT by Pavel Alexeev
Modified: 2013-05-31 00:26 EDT (History)
2 users (show)

See Also:
Fixed In Version: groovy-1.8.9-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-31 00:26:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Alexeev 2012-04-09 10:30:57 EDT
Description of problem:
I have small groovy script to check mail mailCheck.groovy

For windows environment it run from cmd file like:
groovy.bat --classpath commons-net-2.0.jar mailCheck.groovy

Jar file commons-net-2.0.jar placed in the same directory.

I've try to do the same on Linux.

$ groovy --help
usage: groovy [options] [args]
options:
....
  -classpath <path>                Specify where to find the class files - must
                                   be first argument
  -cp,--classpath <path>           Aliases for '-classpath'


but this give me error:
$ groovy --classpath /home/pasha/temp/groovy-test/commons-net-2.0.jar mailCheck.groovy
org.codehaus.groovy.control.MultipleCompilationErrorsException: startup failed:
/home/pasha/temp/groovy-test/mailCheck.groovy: 5: unable to resolve class org.apache.commons.net.pop3.POP3Client
 @ line 5, column 1.
   import org.apache.commons.net.pop3.POP3Client
   ^

1 error

I have tried also variants like:
groovy --classpath ./commons-net-2.0.jar mailCheck.groovy
groovy --classpath /home/pasha/temp/groovy-test/commons-net-2.0.jar mailCheck.groovy
groovy -cp /home/pasha/temp/groovy-test/commons-net-2.0.jar mailCheck.groovy                                                                                                                                                                
groovy -cp commons-net-2.0.jar mailCheck.groovy                                                                                                                                                                                              
groovy -cp ./commons-net-2.0.jar mailCheck.groovy 

Also with no success.

Version-Release number of selected component (if applicable):
$ rpm -q groovy
groovy-1.8.6-3.fc16.noarch

How reproducible:
Always
Comment 1 hannes 2012-04-16 17:56:07 EDT
Why not use the provided jar file by apache-commons-net? Does this work?
Comment 2 Pavel Alexeev 2012-04-19 14:42:50 EDT
Its just example off course. I want use with my own jars. Additionally there may bee needed bundle its too. Finally it is documented, so this must works.
Comment 3 Fedora Admin XMLRPC Client 2012-10-04 08:52:37 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora End Of Life 2013-01-16 10:58:46 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Fedora End Of Life 2013-02-13 14:14:31 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Pavel Alexeev 2013-04-02 07:40:09 EDT
On groovy-2.0.4-1.fc17.noarch reproduced also.
Comment 7 Fedora Update System 2013-04-11 23:35:58 EDT
groovy-1.8.7-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/groovy-1.8.7-4.fc18
Comment 8 Fedora Update System 2013-04-12 00:10:52 EDT
groovy-1.8.8-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/groovy-1.8.8-4.fc19
Comment 9 Fedora Update System 2013-04-12 11:20:44 EDT
Package groovy-1.8.8-4.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing groovy-1.8.8-4.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-5541/groovy-1.8.8-4.fc19
then log in and leave karma (feedback).
Comment 10 Pavel Alexeev 2013-04-17 17:19:42 EDT
I had tested in on 2.0 version. For what 1.8.8 also pushed in Fedora 19??
Comment 11 Fedora Update System 2013-04-20 15:07:09 EDT
groovy-1.8.8-4.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2013-05-22 01:21:24 EDT
groovy-1.8.9-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/groovy-1.8.9-1.fc18
Comment 13 Matt Spaulding 2013-05-22 19:03:53 EDT
(In reply to Pavel Alexeev (aka Pahan-Hubbitus) from comment #10)
> I had tested in on 2.0 version. For what 1.8.8 also pushed in Fedora 19??

Hi Pavel. We don't have groovy 2.x in Fedora 19 yet. I've just pushed another build yesterday for groovy 1.8.9. I plan to check into Groovy 2.x soon to see if we have the dependencies in place to make that happen.
Comment 14 Fedora Update System 2013-05-23 08:37:17 EDT
Package groovy-1.8.9-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing groovy-1.8.9-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-8955/groovy-1.8.9-1.fc18
then log in and leave karma (feedback).
Comment 15 Fedora Update System 2013-05-31 00:26:57 EDT
groovy-1.8.9-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.